declare const _default: typeof __VLS_export;
export default _default;
declare const __VLS_export: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    filterQuery: {
        type: StringConstructor;
        required: true;
    };
    label: {
        type: StringConstructor;
    };
}>, {}, {}, {}, {
    handleChange(value: any): void;
    restoreValue(value: any): void;
}, {
    mixins: {
        methods: {
            changeRouteQuery({ filterQuery, value }: {
                filterQuery: any;
                value: any;
            }): any;
            setValueToQuery({ filterQuery, value, storedProp }: {
                filterQuery: any;
                value: any;
                storedProp?: string;
            }): Promise<void>;
            getValueFromQuery({ filterQuery }: {
                filterQuery: any;
            }): any;
        };
    }[];
    props: {
        namespace: {
            type: StringConstructor;
            description: string;
        };
    };
    created(): void;
    computed: {
        filterSchema(): any;
        value(): any;
    };
    methods: {
        restore({ filterQuery }: {
            filterQuery: any;
        }): void;
        setValue(payload: any): any;
    };
}, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    filterQuery: {
        type: StringConstructor;
        required: true;
    };
    label: {
        type: StringConstructor;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
